<%@ page language="C#" autoeventwireup="true" inherits="V5Shop.Admin.AdminIndex, V5Shop.Shop" enableviewstatemac="false" enableEventValidation="false" viewStateEncryptionMode="Never" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <title>V5Shop后台管理系统</title>
    <link href="css/plugins.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="js/mootools.js"></script>
    <script src="js/message.js" type="text/javascript"></script>
    <script src="js/ajax.js" type="text/javascript"></script>
    <script src="js/dialog.js" type="text/javascript"></script>
    
    <style type="text/css">
    #AlphaField {
        top: 0px;
        left: 0px;
        bottom:auto;
        right:auto;
    	
        z-index:100;
        width:100%;
        height:auto;
    	
        text-align:center;
        color:#333333;
    	
        /* stop stupid conflicts */
        margin:0px;
        padding:0px;
        border:none;
        outline:none;
        line-height:0;
    	
        /* general conflict stopper */
        text-decoration:none;
        background:none;
        word-spacing:normal;
        letter-spacing:normal;
        float:none;
        clear:none;
        display:block;
    	
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=10)";
        filter:alpha(opacity=10);
        opacity: .1;
        background-color:#000000;;
        height: 100%;
        position:fixed;	
    }
    #sitemapField { top: 0px; left: 0px; bottom:auto; right:auto; z-index:100; width:100%;
    height:auto; text-align:center; color:#333333; /* stop stupid conflicts */ margin:0px;
    padding:0px; border:none; outline:none; line-height:0; /* general conflict stopper
    */ text-decoration:none; background:none; word-spacing:normal; letter-spacing:normal;
    float:none; clear:none; display:block; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=10)";
    filter:alpha(opacity=10); opacity: .1; background-color:#000000;; height: 100%;
    position:fixed; }
    </style>
    
    <script language="javascript" type="text/javascript">
		        
        var tmpstepid = "";
    
        function CloseGuide(){
		    $("floatArea").hide();
		    $("AlphaField").hide();
        }
        
        function ShowGuide(){
		    var ie6 = navigator.userAgent.indexOf('MSIE 6') >= 0;
		    var $body = $(ie6 ? document.body : document);
		    $('AlphaField').setStyles({
			    width: $body.getSize().x,
			    height: $body.getSize().y
		    });		
		    if(ie6){
			    $('AlphaField').setStyles({
				    position:'absolute',
				    top:'0px',
				    left:'0px'
			    });				
		    }
		    var top=($(window).getSize().y-400)/2;
		    var left=($(window).getSize().x-600)/2;
		    $("floatArea").setStyles({"top":top,"left":left});
		    $("floatArea").show();
		    $("AlphaField").show();
        }
    
        function CloseSitemap(){
		    $("floatSitemap").hide();
		    $("sitemapField").hide();
            //$("btnSiteMap").focus();
        }
        
        function ShowSitemap(){
		    var ie6 = navigator.userAgent.indexOf('MSIE 6') >= 0;
		    var $body = $(ie6 ? document.body : document);
		    $('sitemapField').setStyles({
			    width: $body.getSize().x,
			    height: $body.getSize().y
		    });		
		    if(ie6){
			    $('sitemapField').setStyles({
				    position:'absolute',
				    top:'0px',
				    left:'0px'
			    });				
		    }
		    var top=($(window).getSize().y-550)/2;
		    var left=($(window).getSize().x-600)/2;
		    $("floatSitemap").setStyles({"top":top,"left":left});
		    $("floatSitemap").show();
		    $("sitemapField").show();
            //$("floatSitemap").focus();
        }   
         
        function Redirect(url, stepid){
		    var top=($(window).getSize().y-490)/2;
		    var left=($(window).getSize().x-805)/2;
		    $("bk").setStyles({"top":top,"left":left});        
            $("bk").show();
            $("actArea").set("src", url);
            tmpstepid = stepid;
        }
        
        function RedirectSimple(url){
            //$E("#bk").hide();
            $("mainFrame").set("src", url);
            
            CloseGuide();
        }
        
        function CloseActWindow(){
            var floatAreaObj = document.getElementById("floatArea");
            var div = document.getElementById("bk");
            div.style.display = "none";
            
            var stepObj = floatArea.document.getElementById(tmpstepid);
            stepObj.className = "content_1";
            stepObj.innerHTML = stepObj.innerHTML.replace("开始设置", "设置完毕");
            if(tmpstepid == "guide_step3"){
                floatAreaObj.src = "guide/step3.html";
            }
            if(tmpstepid == "guide_step5"){
                floatAreaObj.src = "guide/step4.html";
            }
            if(tmpstepid == "guide_step7"){
                floatAreaObj.src = "guide/step5.html";
            }
        }
        window.addEvent("domready", function() {
            $("leftBottom").setStyles({"height":window.getSize().size.y-97-35});
            $("right").setStyles({"width":window.getSize().size.x-191,"height":window.getSize().size.y-97});
            $("content").show();
        })

        _attachEvent(document.documentElement, 'keydown', keyPressHandler);

        function keyPressHandler(e) {
            e = e ? e: window.event;
            kC = e.keyCode ? e.keyCode: e.charCode;
            if (kC == 27) {
                if ($("floatSitemap").style.display == "none") {
                    ShowSitemap();
                }
                else {
                    CloseSitemap();
                }
            }
        }

        function _attachEvent(obj, evt, func, eventobj) {
            eventobj = !eventobj ? obj: eventobj;
            if (obj.addEventListener) {
                obj.addEventListener(evt, func, false);
            } else if (eventobj.attachEvent) {
                obj.attachEvent("on" + evt, func);
            }
        }
    </script>
    <style type="text/css">
        #bk {width:806px; height:506px; border:1px #B8C9D6 solid; background:#F0F7F8; margin:0px; padding:1px}
        #bg {background:#fff; width:806px; height:506px}
        .bk_content {width:780px; height:455px;	padding:0px;}
    </style>
</head>
<body style="margin:0px; width:100%;">

<!--模式对话框静态内容-->
<div id='loadMask' class='loading' style='z-index:65535;display:none;'>
    <span class='loading_msg'>
        正在加载...
    </span>
</div>   
<div style="display:none;">
    <iframe name="download" src="about:blank"></iframe>
    <div id='elTempBox'></div>
    <div id="dialogProtoType" >
        <div class="dialog-box">
            <div class="dialog-head">
                <div class="dialog-title"></div>
                <img class="dialog-btn-close" src="images/plugins/close_btn.gif"/>
            </div>
            <div class="dialog-content-head"></div>
            <div class="dialog-content-body" container='true'>正在加载...</div>
            <div class="dialog-content-foot"></div>
            <img class="dialog-btn-resize" src='images/plugins/resize-btn.gif'/>
        </div>
    </div>

    <div id="frameDialogProtoType">
        <div class="dialog-box">
            <div class="dialog-head">
                <div class="dialog-title"></div>
                <img style="width: 17px; height: 17px; background-position: 0pt -150px;" class="imgbundle dialog-btn-close" src="images/plugins/transparent.gif"/>
            </div>
            <div class="dialog-content-head"></div>
            <iframe class="dialog-content-body dialog-frame-body" container='true' src='about:blank'></iframe>
            <div class="dialog-content-foot"></div>
            <img class="dialog-btn-resize" src='images/plugins/resize-btn.gif'/>
        </div> 
    </div>
</div>
<div id="MODALPANEL" style="display:none;"></div>
     
<div id="AlphaField" style="display:none;"></div>
<iframe frameBorder="0" id="floatArea" style="display:none;z-index:101; position:absolute;" width="600" height="400" scrolling="No" noresize="noresize" src="guide/step1.html"></iframe>


<div id="sitemapField" style="display:none; height:200px;"></div>
<iframe frameBorder="0" id="floatSitemap" style="display:none;z-index:101; position:absolute;background-color:White;border-bottom:2px #DEEFFA solid; border:2px #009900 solid;" width="640" height="550" scrolling="No" noresize="noresize" src="sitemap.aspx"></iframe>

<div id="bk" style="display:none;z-index:102; position:absolute;">
  <div id="bg">
    <div style="position:absolute; margin:10px 0 0 690px; font-size:12px;">
        <a href="javascript:CloseActWindow();" style="color:#000"><img src="guide/images/bg-3.gif" border="0" align="absmiddle" /> 关闭此窗口</a>
    </div>
    <div class="bk_content">
        <iframe frameBorder="0" id="actArea" width="805" height="490" scrolling="Yes" noresize="noresize" src=""></iframe>
    </div>
  </div>
</div>

<div id="content" style="display:none">
    <div id="top" style=" width:100%; height:97px;">
        <iframe frameBorder="0" name="topFrame" width="100%" height="100%" scrolling="No" id="topFrame"  src="top.aspx"></iframe>
    </div>
    <div style="width:191px;height:35px;left:0px;top:97px;">
        <iframe frameBorder="0" name="lefttopFrame" width="100%" height="35" noresize="noresize" scrolling="no" id="lefttopFrame"  src="lefttop.aspx"  border="0"></iframe>
    </div>
    <div id="leftBottom" style="width:190px;left:0px;top:132px;border-right:1px #9DB3C5 solid;">
        <iframe frameBorder="0" height="100%" name="leftFrame" width="100%" noresize="noresize" scrolling="auto" id="leftFrame"  src="left.aspx"  border="0"></iframe>
    </div>
    <div id="right" style="left:191px;top:97px; position:absolute;">
        <iframe frameBorder="0" name="mainFrame" width="100%" id="mainFrame" height="100%" scrolling="auto" src="show.aspx" ></iframe>
    </div>
</div>

<script language="javascript" type="text/javascript">
<%=showFlag %>
</script>
</body>
</html>